﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApp1
{
    class Requin
    {
        public string Nom { get; private set; }
        public string NomSci { get; private set; }
        public string Description { get; private set; }
        public string Photo { get; private set; }
        public string Video { get; private set; }
        public Carte PhotoCarte { get; private set; }
        public Conservation StatutCons { get; private set; }
        public string FunFact { get; private set; }
        public Zone Repartition { get; private set; }


        public Requin(string nom, string nomSci, string description, string photo, string video, Carte photoCarte, Conservation statutCons, Zone repartition, string funFact) {
            Nom = nom;
            NomSci = nomSci;
            Description = description;
            Photo = photo;
            Video = video;
            PhotoCarte = photoCarte;
            StatutCons = statutCons;
            Repartition = repartition;
            FunFact = funFact;
        }

        public Requin(string nom, string nomSci, string description, string photo, string video, Carte photoCarte, Conservation statutCons, Zone repartition, List<string> funFacts)
        {
            Random rnd = new Random();
            Nom = nom;
            NomSci = nomSci;
            Description = description;
            Photo = photo;
            Video = video;
            PhotoCarte = photoCarte;
            StatutCons = statutCons;
            Repartition = repartition;

        }
    }

}
